Description

Supportanfrage

In der runtime.cpp wird in Zeile 842 ein Fehler geworfen.

Wünschenswert wäre an der Stelle eine Ausgabe des zugehörigen Identifiers (strIdentifier, idInterface), um die Ursache eingrenzen

zu können.
Lösung

Hab ein Ticket angelegt -> ACORE-9527

History

#1 - 2018-05-22 09:02 - hidden

- Project changed from Public Support to 11

- Status changed from New to In Progress

- Topic set to ADTF::Logging

- Customer set to AUDI

- Department set to EX

- Affected Products ADTF 2.14.0 added

- Platform Windows 7 64bit added

Hm... an dieser Stelle wird gar nichts ausgegeben, das müsste eigentlich die Komponente machen, bei der etwas nicht geht, die Runtime ist ja davon

unabhängig.

Deshalb wäre es interessant, was davor passiert.

@Martin: Noch eine Idee ?

#2 - 2018-05-22 09:26 - hidden

Jens hat schon recht, an der Stelle sollte ein THROW_ERROR_DESC(ERR_NOT_FOUND, cString::Format("No object with id '%s' and interface '%s'

found.", strIdentifier, idInterface)) stehen. Dann können die aufrufenden Komponenten einfach nur ein RETURN_IF_FAILED machen. Ohh, wie ich

mir die nested exceptions aus c++11 wünsche!

#3 - 2018-05-22 10:08 - hidden

- Project changed from 11 to Public Support

- Status changed from In Progress to Customer Feedback Required

- Private changed from Yes to No

- Resolution set to Product Issue Opened

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-9527
Hab ein Ticket angelegt -> ACORE-9527

#4 - 2018-05-23 17:13 - hidden

- Subject changed from WG: ADTF / Sporadisch "Item not found" to ADTF error message "Item not found"

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

#5 - 2018-06-05 15:23 - hidden

- Status changed from To Be Closed to Closed
